Bug 1549636 (CVE-2018-7485) - CVE-2018-7485 unixODBC: Insecure buffer copy in SQLWriteFileDSN function in odbcinst/SQLWriteFileDSN.c
Summary: CVE-2018-7485 unixODBC: Insecure buffer copy in SQLWriteFileDSN function in o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7485
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1549637 1571530 1571531 1571532 1891969
Blocks: 1548307
TreeView+ depends on / blocked
 
Reported: 2018-02-27 14:36 UTC by Pedro Sampaio
Modified: 2020-11-10 10:04 UTC (History)
11 users (show)

Fixed In Version: unixODBC 2.3.6pre
Doc Type: If docs needed, set a value
Doc Text:
An argument order confusion flaw was found in the SQLWriteFileDSN API of unixODBC. This could only be exploited via a malicious ODBC database connector package with the maximum impact being a denial of service.
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2336 None None None 2019-08-06 12:41:56 UTC
Red Hat Product Errata RHSA-2020:4999 None None None 2020-11-10 10:04:10 UTC

Description Pedro Sampaio 2018-02-27 14:36:51 UTC
The SQLWriteFileDSN function in odbcinst/SQLWriteFileDSN.c in unixODBC 2.3.5 has strncpy arguments in the wrong order, which allows attackers to cause a denial of service or possibly have unspecified other impact.

Upstream patch:

https://github.com/lurcher/unixODBC/commit/45ef78e037f578b15fc58938a3a3251655e71d6f#diff-d52750c7ba4e594410438569d8e2963aL24

Comment 1 Pedro Sampaio 2018-02-27 14:37:13 UTC
Created unixODBC tracking bugs for this issue:

Affects: fedora-all [bug 1549637]

Comment 3 Huzaifa S. Sidhpurwala 2018-12-11 03:56:31 UTC
Analysis:

This flaw is essentially an argument order confusion in the SQLWriteFileDSN API, can only be exploited via a malicious ODBC database connector package and can possible cause Denial of Service only. We believe that arbitrary code execution is not possible, therefore this flaw has been rated as having Moderate security impact.

Comment 4 errata-xmlrpc 2019-08-06 12:41:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2336 https://access.redhat.com/errata/RHSA-2019:2336

Comment 5 Product Security DevOps Team 2019-08-06 19:18:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-7485

Comment 12 errata-xmlrpc 2020-11-10 10:04:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:4999 https://access.redhat.com/errata/RHSA-2020:4999


Note You need to log in before you can comment on or make changes to this bug.